Skip to main content
POST
FLUX.1 Kontext Pro
FLUX.1 Kontext Pro is a model that improves prompt adherence and font generation consistency while maintaining efficient speed and suitability for editing tasks.

Request Headers

Content-Type
string
required
Enum: application/json
Authorization
string
required
Bearer authentication format: Bearer {{API Key}}.

Request Body

prompt
string
required
The prompt used for image generation.
images
string[]
List of images used for image generation. Supports up to 4 images.
guidance_scale
number
Guidance scale for controlling generation. Default: 3.5. Range: [1.0 ~ 20.0].
aspect_ratio
string
Aspect ratio of the generated image.
Options: 21:9, 16:9, 4:3, 3:2, 1:1, 2:3, 3:4, 9:16, 9:21
seed
integer
Random seed. Default: -1, where -1 means use a random seed. Range: [-1 ~ 2147483647].
safety_tolerance
string
Only supported in text-to-image mode.
Safety tolerance level for generated images, 1 is the strictest, 5 is the most permissive. Default: 2.
Options: 1, 2, 3, 4, 5

Response

task_id
string
required
The task_id of the async task. Use the task_id to call the Get Async Task Result API to retrieve the generated result.